<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="appform_pdf_planDetails">
  <div class="section">
    <p class="sectionGroup">
      <span class="sectionGroup">PLAN DETAILS</span>
    </p>
    <table class="dataGroupLast">
      <col width="25%"/>
      <col width="25%"/>
      <col width="25%"/>
      <col width="25%"/>
      <thead>
        <xsl:for-each select="/root/planDetails/planList[covCode = /root/baseProductCode]">
          <tr>
            <xsl:variable name="basicPlanName">
              <xsl:choose>
                <xsl:when test="/root/lang = 'en'">
                  <xsl:value-of select="./covName/en"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="./covName/zh-Hant"/>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:variable>

            <xsl:call-template name="infoSectionHeaderNoneTmpl">
              <xsl:with-param name="sectionHeader" select="$basicPlanName"/>
              <xsl:with-param name="colspan" select="4"/>
            </xsl:call-template>
          </tr>
        </xsl:for-each>
      </thead>
      <tbody>

        <xsl:for-each select="/root/planDetails/planList">
          <tr class="dataGroup">
            <td class="tdFirst padding">
              <p class="title">
                <span lang="EN-HK" class="questionItalic">Plan Name</span>
              </p>
            </td>
            <td class="tdMid">
              <p class="answer">
                  <span lang="EN-HK" class="answer">
                    <xsl:value-of select="covName/en"/>
                  </span>
              </p>
            </td>
            <td class="tdMid">
              <p class="title">
                <span lang="EN-HK" class="questionItalic">Sum Assured*</span>
              </p>
            </td>
            <td class="tdLast padding">
              <p class="answer">
                  <span lang="EN-HK" class="answer">
                    <xsl:value-of select="sumInsured"/>
                  </span>
              </p>
            </td>
          </tr>
          <tr class="dataGroup">
            <td class="tdFirst padding">
              <p class="title">
                <span lang="EN-HK" class="questionItalic">Policy Term</span>
              </p>
            </td>
            <td class="tdMid">
              <p class="answer">
                  <span lang="EN-HK" class="answer">
                    <xsl:value-of select="polTermDesc"/>
                  </span>
              </p>
            </td>
            <td class="tdMid">
              <p class="title">
                <span lang="EN-HK" class="questionItalic">Single Premium Amount</span>
              </p>
            </td>
            <td class="tdLast padding">
              <p class="answer">
                  <span lang="EN-HK" class="answer">
                    <xsl:value-of select="premium"/>
                  </span>
              </p>
            </td>
          </tr>
        </xsl:for-each>
      </tbody>
    </table>

    <!-- OTHER PLAN DETAILS START -->
    <table class="dataGroupLast">
      <thead>
        <tr>
          <xsl:call-template name="infoSectionHeaderNoneTmpl">
            <xsl:with-param name="sectionHeader" select="'Other Plan Details'"/>
            <xsl:with-param name="colspan" select="8"/>
          </xsl:call-template>
        </tr>
      </thead>
      <tbody>
        <col width="25%"/>
        <col width="25%"/>
        <col width="25%"/>
        <col width="25%"/>
        <tr class="dataGroup">
          <td colspan="2" class="tdFirst padding">
            <p class="title">
                <span lang="EN-HK" class="questionItalic">Policy Currency</span>
            </p>
          </td>
          <td colspan="2" class="tdMid">
            <p class="answer">
              <span lang="EN-HK" class="answer">
                <xsl:value-of select="/root/planDetails/ccy"/>
              </span>
            </p>
          </td>
          <td colspan="2" class="tdMid">
            <p class="title">
                <span lang="EN-HK" class="questionItalic">Payment Term</span>
            </p>
          </td>
          <td colspan="2" class="tdLast padding">
            <p class="answer">
              <span lang="EN-HK" class="answer">
                <xsl:value-of select="/root/planDetails/paymentTerm"/>
              </span>
            </p>
          </td>
        </tr>
        <tr class="dataGroup">
          <td colspan="2" class="tdFirst padding">
            <p class="title">
              <span lang="EN-HK" class="questionItalic">Payment Method</span>
            </p>
          </td>
          <td colspan="2" class="tdMid">
            <p class="answer">
              <span lang="EN-HK" class="answer">
                Cash
              </span>
            </p>
          </td>
          <td colspan="2" class="tdMid">
            <p class="title">
                <span lang="EN-HK" class="questionItalic">Backdating</span>
            </p>
          </td>
          <td colspan="2" class="tdLast padding">
            <p class="answer">
              <span lang="EN-HK" class="answer">
                <xsl:value-of select="/root/planDetails/isBackDate"/>
              </span>
            </p>
          </td>
        </tr>
        <xsl:if test="not(/root/planDetails/isBackDate = 'No')">
          <tr class="dataGroup">
            <td colspan="2" class="tdFirst padding" />
            <td colspan="2" class="tdMid"/>
            <td colspan="2" class="tdMid">
              <p class="title">
                <span lang="EN-HK" class="questionItalic">
                  Selected Commencement Date (dd/mm/yyyy)
                </span>
              </p>
            </td>
            <td colspan="2" class="tdLast padding">
              <p class="answer">
                <span lang="EN-HK" class="answer">
                  <xsl:value-of select="/root/planDetails/riskCommenDate"/>
                </span>
              </p>
            </td>
          </tr>
        </xsl:if>
        <tr>
          <td colspan="8" class="tdFirst padding">
            <span class="questionItalic">*Higher of 101% of Single Premium paid or surrender value of your policy</span>
          </td>
        </tr>
      </tbody>
    </table>
    <!-- OTHER PLAN DETAILS END -->

    <p class="sectionGroup">
      <span class="sectionGroup"><br/></span>
    </p>
  </div>
</xsl:template>

</xsl:stylesheet>
